=== umbrello/pics/global/kde4/CMakeLists.txt ===
if(NOT BUILD_KF5)
    kde4_install_icons(${ICON_INSTALL_DIR})
endif()
