=== debian/changelog ===
umbrello (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:32:33 -0700

umbrello (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * New upstream release
  * Wildcard icons in install file
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:38:20 +0100

umbrello (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New patch: fix_build.patch
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:01 +0100

umbrello (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:09 +0100

umbrello (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).
  * Remove upstream patch: upstream_add_appstream_metadata.diff

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:01 +0200

umbrello (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).
  * New upstream release (15.08.1).
  * Disable patch: valgrind_errors
  * New upstream patch: upstream_add_appstream_metadata.diff
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:58 +0200

umbrello (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:21 +0200

umbrello (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Feb 2015 07:30:11 +0100
