## umbrello 16.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,30 @@
 project(umbrello)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set(UMBRELLO_VERSION_MAJOR "2")
-set(UMBRELLO_VERSION_MINOR "18")
+MATH(EXPR UMBRELLO_VERSION_MINOR "12+${KDE_APPLICATIONS_VERSION_MINOR}")
 set(UMBRELLO_VERSION_PATCH ${KDE_APPLICATIONS_VERSION_MICRO})
 
+option(BUILD_ICONS "Create icons from svg source" OFF)
+
+option(BUILD_CURSOR_ICONS "Create cursor icons from svg source" OFF)
+
+option(BUILD_ICONS_INTO_SIZE_RELATED_DIRS "place icons into separate directories (for debugging purpose)" OFF)
+
 option(BUILD_KF5 "Build for KDE Frameworks 5" OFF)
+
+# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
+include(Macros)
+
+set(CMAKE_AUTORCC ON)
 
 if(NOT BUILD_KF5)
     cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
-    set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
     set(CMAKE_AUTOMOC ON)
     set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -105,10 +116,10 @@
 
     # we need some parts of the ECM CMake helpers
     find_package(ECM 1.1.0 REQUIRED NO_MODULE)
-    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
+    list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
     include(KDEInstallDirs)
-    include(KDECompilerSettings)
+    include(KDECompilerSettings NO_POLICY_SCOPE)
     include(KDECMakeSettings)
     include(FeatureSummary)
     include(ECMInstallIcons)
@@ -198,12 +209,32 @@
     ${CMAKE_BINARY_DIR}
 )
 
-# enable experimental features only in master branch
-if (UMBRELLO_VERSION_PATCH GREATER 95)
-    add_definitions(-DENABLE_BIRDVIEW)
-    add_definitions(-DENABLE_WIDGET_SHOW_DOC) # show documentation in classes ticket xxx
-    add_definitions(-DENABLE_NEW_CODE_GENERATORS)
-endif()
+#
+# Unstable features should not be enabled in stable branches.
+# This macro limits unstable feature to development branches
+# by only adding -DENABLE_<name> to the compile command when
+# the patch level is greater 95. On cmake configure time a
+# related status note is displayed.
+#
+# syntax:  add_unstable_feature(<name>)
+#
+# In code wrap feature related code with
+#
+#  #ifdef ENABLE_<name>
+#    <feature code>
+#  #endif
+#
+macro(add_unstable_feature name)
+    if(UMBRELLO_VERSION_PATCH GREATER 95)
+        add_definitions(-DENABLE_${name})
+        message(STATUS "Enable unstable feature ${name} - use '#ifdef ENABLE_${name}' in related code")
+    else()
+        message(STATUS "Disable unstable feature ${name}")
+    endif()
+endmacro(add_unstable_feature)
+
+add_unstable_feature(WIDGET_SHOW_DOC) # show documentation in classes ticket xxx
+add_unstable_feature(NEW_CODE_GENERATORS) # new c++ code generator
 
 if(LIBXSLT_FOUND AND LIBXML2_FOUND)
     add_subdirectory(umbrello)
@@ -211,6 +242,8 @@
     add_subdirectory(tools)
 endif(LIBXSLT_FOUND AND LIBXML2_FOUND)
 
+add_subdirectory(maintainer)
+
 # for automatic unit tests
 if(BUILD_UNITTESTS)
     ecm_optional_add_subdirectory(unittests)
