=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 override_dh_auto_configure:
 	$(overridden_command) -- -DBUILD_KF5=ON
 
-.PHONY: override_dh_auto_test
-
 override_dh_auto_install:
 	$(overridden_command) --destdir=debian/tmp
