## umbrello 16.12.3

=== debian/changelog ===
umbrello (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)
  * Drop upstream applied patch.

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:31:22 +0000

umbrello (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Adding build dep on libqt5webkit5-dev
  * Remove fix_build.patch as it is applied upstream now

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)
  * Add upstream patch from KDE commit ce147ad93100a0d296f1c5958fcb7bf70c9d70af
    to fix building on non x86 architectures - can be dropped when 16.12.2 is
    released.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:22 +0000
